; maintain a list of dyn-loaded files and only load those which haven't
; yet been loaded
 
(defun chkload (name &key libflags fortran)
;  Lines between the double quotes will be displayed when a help
;  request is made, for example by (help 'chkload)
"Args: file
Call dyn-load only if file has not yet been loaded"
;  check to see if name has already been loaded, by looking
;  for it on "list-of-c-loads"
 
        (cond   ((not (boundp 'list-of-c-loads))
                        (dyn-load name :libflags libflags :fortran fortran))
                (t
                        (cond((not(member name list-of-c-loads :test 'string=))
                                (dyn-load name :libflags libflags
                                                :fortran fortran)))
                        )
                )
 
;  create or update list-of-c-loads
 
        (def list-of-c-loads
        (cond   ((cond  ((boundp 'list-of-c-loads)
                        (cond ((not(member name list-of-c-loads :test 'string=))
                        (append list-of-c-loads (list name)))
                        (t list-of-c-loads))
                        )
      